Subject: Re: [PATCH] [POWERPC] Fix kernel builds with newer gcc versions and -Os

From: Scott Wood <[email-masked]>
Date: Fri, 02 May 2008 16:45:45 -0500

David Miller wrote:
> If you link in libgcc, all of a sudden you have a whole new class of
> potential problems, don't do it.
> 
> All it takes is one of these libgcc libcalls the kernel actually
> references, needing something else in libc, to make this exercise
> futile.

What in libgcc references libc, and why isn't this a problem for 
Linux/ARM, Linux/SH, U-boot, and the many other libc-less programs that 
use libgcc?

-Scott